searchNodes=[{"doc":"API calls for all endpoints tagged Api .","ref":"Ory.Api.Api.html","title":"Ory.Api.Api","type":"module"},{"doc":"Access Control Decision API This endpoint works with all HTTP Methods (GET, POST, PUT, ...) and matches every path prefixed with /decisions. This endpoint mirrors the proxy capability of ORY Oathkeeper's proxy functionality but instead of forwarding the request to the upstream server, returns 200 (request should be allowed), 401 (unauthorized), or 403 (forbidden) status codes. This endpoint can be used to integrate with other API Proxies like Ambassador, Kong, Envoy, and many more. Parameters connection (Ory.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"Ory.Api.Api.html#decisions/2","title":"Ory.Api.Api.decisions/2","type":"function"},{"doc":"Retrieve a Rule Use this method to retrieve a rule from the storage. If it does not exist you will receive a 404 error. Parameters connection (Ory.Connection): Connection to server id (String.t): opts (keyword): Optional parameters Returns {:ok, Ory.Model.Rule.t} on success {:error, Tesla.Env.t} on failure","ref":"Ory.Api.Api.html#get_rule/3","title":"Ory.Api.Api.get_rule/3","type":"function"},{"doc":"Lists Cryptographic Keys This endpoint returns cryptographic keys that are required to, for example, verify signatures of ID Tokens. Parameters connection (Ory.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, Ory.Model.JsonWebKeySet.t} on success {:error, Tesla.Env.t} on failure","ref":"Ory.Api.Api.html#get_well_known_json_web_keys/2","title":"Ory.Api.Api.get_well_known_json_web_keys/2","type":"function"},{"doc":"List All Rules This method returns an array of all rules that are stored in the backend. This is useful if you want to get a full view of what rules you have currently in place. Parameters connection (Ory.Connection): Connection to server opts (keyword): Optional parameters :limit (integer()): The maximum amount of rules returned. :offset (integer()): The offset from where to start looking. Returns {:ok, [%Rule{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"Ory.Api.Api.html#list_rules/2","title":"Ory.Api.Api.list_rules/2","type":"function"},{"doc":"API calls for all endpoints tagged Health .","ref":"Ory.Api.Health.html","title":"Ory.Api.Health","type":"module"},{"doc":"Check alive status This endpoint returns a 200 status code when the HTTP server is up running. This status does currently not include checks whether the database connection is working. If the service supports TLS Edge Termination, this endpoint does not require the X-Forwarded-Proto header to be set. Be aware that if you are running multiple nodes of this service, the health status will never refer to the cluster state, only to a single instance. Parameters connection (Ory.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, Ory.Model.HealthStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"Ory.Api.Health.html#is_instance_alive/2","title":"Ory.Api.Health.is_instance_alive/2","type":"function"},{"doc":"Check readiness status This endpoint returns a 200 status code when the HTTP server is up running and the environment dependencies (e.g. the database) are responsive as well. If the service supports TLS Edge Termination, this endpoint does not require the X-Forwarded-Proto header to be set. Be aware that if you are running multiple nodes of this service, the health status will never refer to the cluster state, only to a single instance. Parameters connection (Ory.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, Ory.Model.HealthStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"Ory.Api.Health.html#is_instance_ready/2","title":"Ory.Api.Health.is_instance_ready/2","type":"function"},{"doc":"API calls for all endpoints tagged Version .","ref":"Ory.Api.Version.html","title":"Ory.Api.Version","type":"module"},{"doc":"Get service version This endpoint returns the service version typically notated using semantic versioning. If the service supports TLS Edge Termination, this endpoint does not require the X-Forwarded-Proto header to be set. Be aware that if you are running multiple nodes of this service, the health status will never refer to the cluster state, only to a single instance. Parameters connection (Ory.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, Ory.Model.Version.t} on success {:error, Tesla.Env.t} on failure","ref":"Ory.Api.Version.html#get_version/2","title":"Ory.Api.Version.get_version/2","type":"function"},{"doc":"Handle Tesla connections for Ory. Additional middleware can be set in the compile-time or runtime configuration: config :tesla , Ory.Connection , base_url : &quot;http://localhost&quot; , adapter : Tesla.Adapter.Hackney The default base URL can also be set as: config :ory_oathkeeper , :base_url , &quot;http://localhost&quot;","ref":"Ory.Connection.html","title":"Ory.Connection","type":"module"},{"doc":"Returns the default adapter for this API.","ref":"Ory.Connection.html#adapter/0","title":"Ory.Connection.adapter/0","type":"function"},{"doc":"Returns fully configured middleware for passing to Tesla.client/2.","ref":"Ory.Connection.html#middleware/1","title":"Ory.Connection.middleware/1","type":"function"},{"doc":"Configure a client with no authentication. Returns Tesla.Env.client","ref":"Ory.Connection.html#new/0","title":"Ory.Connection.new/0","type":"function"},{"doc":"Configure a client that may have authentication. Parameters options : a keyword list of OpenAPIPetstore.Connection.options. Returns Tesla.Env.client","ref":"Ory.Connection.html#new/1","title":"Ory.Connection.new/1","type":"function"},{"doc":"Forward requests to Tesla.","ref":"Ory.Connection.html#request/2","title":"Ory.Connection.request/2","type":"function"},{"doc":"The list of options that can be passed to new/1. base_url : Overrides the base URL on a per-client basis. user_agent : Overrides the User-Agent header.","ref":"Ory.Connection.html#t:options/0","title":"Ory.Connection.options/0","type":"type"},{"doc":"Helper functions for deserializing responses into models","ref":"Ory.Deserializer.html","title":"Ory.Deserializer","type":"module"},{"doc":"Update the provided model with a deserialization of a nested value","ref":"Ory.Deserializer.html#deserialize/5","title":"Ory.Deserializer.deserialize/5","type":"function"},{"doc":"The standard error format","ref":"Ory.Model.GenericError.html","title":"Ory.Model.GenericError","type":"module"},{"doc":"","ref":"Ory.Model.GenericError.html#t:t/0","title":"Ory.Model.GenericError.t/0","type":"type"},{"doc":"","ref":"Ory.Model.HealthNotReadyStatus.html","title":"Ory.Model.HealthNotReadyStatus","type":"module"},{"doc":"","ref":"Ory.Model.HealthNotReadyStatus.html#t:t/0","title":"Ory.Model.HealthNotReadyStatus.t/0","type":"type"},{"doc":"","ref":"Ory.Model.HealthStatus.html","title":"Ory.Model.HealthStatus","type":"module"},{"doc":"","ref":"Ory.Model.HealthStatus.html#t:t/0","title":"Ory.Model.HealthStatus.t/0","type":"type"},{"doc":"","ref":"Ory.Model.JsonWebKey.html","title":"Ory.Model.JsonWebKey","type":"module"},{"doc":"","ref":"Ory.Model.JsonWebKey.html#t:t/0","title":"Ory.Model.JsonWebKey.t/0","type":"type"},{"doc":"","ref":"Ory.Model.JsonWebKeySet.html","title":"Ory.Model.JsonWebKeySet","type":"module"},{"doc":"","ref":"Ory.Model.JsonWebKeySet.html#t:t/0","title":"Ory.Model.JsonWebKeySet.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Rule.html","title":"Ory.Model.Rule","type":"module"},{"doc":"","ref":"Ory.Model.Rule.html#t:t/0","title":"Ory.Model.Rule.t/0","type":"type"},{"doc":"","ref":"Ory.Model.RuleHandler.html","title":"Ory.Model.RuleHandler","type":"module"},{"doc":"","ref":"Ory.Model.RuleHandler.html#t:t/0","title":"Ory.Model.RuleHandler.t/0","type":"type"},{"doc":"","ref":"Ory.Model.RuleMatch.html","title":"Ory.Model.RuleMatch","type":"module"},{"doc":"","ref":"Ory.Model.RuleMatch.html#t:t/0","title":"Ory.Model.RuleMatch.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Upstream.html","title":"Ory.Model.Upstream","type":"module"},{"doc":"","ref":"Ory.Model.Upstream.html#t:t/0","title":"Ory.Model.Upstream.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Version.html","title":"Ory.Model.Version","type":"module"},{"doc":"","ref":"Ory.Model.Version.html#t:t/0","title":"Ory.Model.Version.t/0","type":"type"},{"doc":"Helper functions for building Tesla requests","ref":"Ory.RequestBuilder.html","title":"Ory.RequestBuilder","type":"module"},{"doc":"Add optional parameters to the request. Parameters request (Map) - Collected request options definitions (Map) - Map of parameter name to parameter location. options (KeywordList) - The provided optional parameters Returns Map","ref":"Ory.RequestBuilder.html#add_optional_params/3","title":"Ory.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Add non-optional parameters to the request. Parameters request (Map) - Collected request options location (atom) - Where to put the parameter key (atom) - The name of the parameter value (any) - The value of the parameter Returns Map","ref":"Ory.RequestBuilder.html#add_param/4","title":"Ory.RequestBuilder.add_param/4","type":"function"},{"doc":"This function ensures that the body parameter is always set. When using Tesla with the httpc adapter (the default adapter), there is a bug where POST, PATCH and PUT requests will fail if the body is empty. Parameters request (Map) - Collected request options Returns Map","ref":"Ory.RequestBuilder.html#ensure_body/1","title":"Ory.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Evaluate the response from a Tesla request. Decode the response for a Tesla request. Parameters result (Tesla.Env.result()): The response from Tesla.request/2. mapping ([{http_status, struct}]): The mapping for status to struct for decoding. Returns {:ok, struct} or {:ok, Tesla.Env.t()} on success {:error, term} on failure","ref":"Ory.RequestBuilder.html#evaluate_response/2","title":"Ory.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"Specify the request method when building a request. Does not override the method if one has already been specified. Parameters request (Map) - Collected request options method (atom) - Request method Returns Map","ref":"Ory.RequestBuilder.html#method/2","title":"Ory.RequestBuilder.method/2","type":"function"},{"doc":"Specify the request URL when building a request. Does not override the url if one has already been specified. Parameters request (Map) - Collected request options url (String) - Request URL Returns Map","ref":"Ory.RequestBuilder.html#url/2","title":"Ory.RequestBuilder.url/2","type":"function"},{"doc":"","ref":"Ory.RequestBuilder.html#t:response_mapping/0","title":"Ory.RequestBuilder.response_mapping/0","type":"type"},{"doc":"","ref":"Ory.RequestBuilder.html#t:status_code/0","title":"Ory.RequestBuilder.status_code/0","type":"type"}]